Loading...
Searching...
No Matches
Ogre::SkeletonSerializer Class Reference
Core » Animation

Class for serialising skeleton data to/from an OGRE .skeleton file. More...

`#include <OgreSkeletonSerializer.h>`

Inheritance diagram for Ogre::SkeletonSerializer:
[legend]

## Public Member Functions

| SkeletonSerializer ()
void | exportSkeleton (const Skeleton *pSkeleton, const DataStreamPtr &stream, SkeletonVersion ver=SKELETON_VERSION_LATEST, Endian endianMode=ENDIAN_NATIVE)
| Exports a skeleton to the stream specified.
void | exportSkeleton (const Skeleton *pSkeleton, const String &filename, SkeletonVersion ver=SKELETON_VERSION_LATEST, Endian endianMode=ENDIAN_NATIVE)
| Exports a skeleton to the file specified.
void | importSkeleton (DataStreamPtr &stream, Skeleton *pDest)
| Imports Skeleton and animation data from a .skeleton file DataStream.
Public Member Functions inherited from Ogre::Serializer
| Serializer ()
| ~Serializer ()

## Additional Inherited Members

Public Types inherited from Ogre::Serializer
enum | Endian { ENDIAN_NATIVE , ENDIAN_BIG , ENDIAN_LITTLE }
| The endianness of written files. More...

## Detailed Description

Class for serialising skeleton data to/from an OGRE .skeleton file.

This class allows exporters to write OGRE .skeleton files easily, and allows the OGRE engine to import .skeleton files into instantiated OGRE Skeleton objects. Note that a .skeleton file includes not only the Skeleton, but also definitions of any Animations it uses.

  To export a Skeleton:
  1. Create a Skeleton object and populate it using it's methods.
  2. Call the exportSkeleton method

## Constructor & Destructor Documentation

## SkeletonSerializer()

Ogre::SkeletonSerializer::SkeletonSerializer | ( |  | ) |

## Member Function Documentation

## exportSkeleton() [1/2]

void Ogre::SkeletonSerializer::exportSkeleton | ( | const Skeleton * | pSkeleton,
|  | const String & | filename,
|  | SkeletonVersion | ver = SKELETON_VERSION_LATEST,
|  | Endian | endianMode = ENDIAN_NATIVE )

Exports a skeleton to the file specified.

This method takes an externally created Skeleton object, and exports both it and animations it uses to a .skeleton file.

Parameters

  pSkeleton | Weak reference to the Skeleton to export
  filename | The destination filename
  ver | Skeleton compatibility versions.

Parameters

  endianMode | The endian mode to write in

References Ogre::Serializer::ENDIAN_NATIVE, and Ogre::SKELETON_VERSION_LATEST.

## exportSkeleton() [2/2]

void Ogre::SkeletonSerializer::exportSkeleton | ( | const Skeleton * | pSkeleton,
|  | const DataStreamPtr & | stream,
|  | SkeletonVersion | ver = SKELETON_VERSION_LATEST,
|  | Endian | endianMode = ENDIAN_NATIVE )

Exports a skeleton to the stream specified.

This method takes an externally created Skeleton object, and exports both it and animations it uses to a .skeleton file.

Parameters

  pSkeleton | Weak reference to the Skeleton to export
  stream | The destination stream
  ver | Skeleton compatibility versions.

Parameters

  endianMode | The endian mode to write in

References Ogre::Serializer::ENDIAN_NATIVE, and Ogre::SKELETON_VERSION_LATEST.

## importSkeleton()

void Ogre::SkeletonSerializer::importSkeleton | ( | DataStreamPtr & | stream,
|  | Skeleton * | pDest )

Imports Skeleton and animation data from a .skeleton file DataStream.

This method imports data from a DataStream opened from a .skeleton file and places it's contents into the Skeleton object which is passed in.

Parameters

  stream | The DataStream holding the .skeleton data. Must be initialised (pos at the start of the buffer).
  pDest | Weak reference to the Skeleton object which will receive the data. Should be blank already.

The documentation for this class was generated from the following file:

- OgreSkeletonSerializer.h